=== debian/control ===
Source: unity-scope-snappy
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: dbus-test-runner,
               debhelper (>= 9),
               dh-exec (>=0.3),
               dh-golang,
               golang-go,
               golang-go.tools [amd64 armhf i386] | golang-go (>= 2:1.5~rc1),
               libunity-scopes-dev,
               pkg-config,
               python3,
               python3-fixtures,
               python3-requests,
               python3-scope-harness,
Standards-Version: 3.9.6
Homepage: https://launchpad.net/unity-scope-snappy
Vcs-Bzr: lp:unity-scope-snappy
Vcs-Browser: http://bazaar.launchpad.net/~unity-api-team/unity-scope-snappy/trunk/files

Package: unity-scope-snappy
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         unity-scope-snappy-daemon (= ${binary:Version}),
Built-Using: ${misc:Built-Using}
Description: Install and launch snap packages.
 This scope gets the list of available snap packages from the Ubuntu Store, and
 lets the user see the details of each application or scope before installing.
 The details include screenshots, rating and reviews. It can also be used to
 launch installed applications.

Package: unity-scope-snappy-daemon
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Manage the installation and uninstallation of snaps via DBus.
 This DBus service exposes an interface to install and uninstall snap packages,
 providing feedback signals during the operation that can be used to determine
 progress.
